Skip to main content
POST
/
hailuo-2.3-i2v
/
async
curl --request POST \ --url https://api.modellix.ai/api/v1/image-to-video/minimax/hailuo-2.3-i2v/async \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "first_frame_image": "https://example.com/start-frame.jpg" } '
{ "code": 0, "message": "success", "data": { "status": "pending", "task_id": "task-abc123", "model_id": "minimax-hailuo-2.3-i2v" } }

Authorizations

Authorization
string
header
required

API Key authentication. Format: Bearer YOUR_API_KEY.

Body

application/json
first_frame_image
string
required

First frame image URL or Base64 Data URL. Formats: JPG/JPEG/PNG/WebP. Size: <20MB. Dimensions: short side >300px, aspect ratio between 2:5 and 5:2

Minimum string length: 1
Example:

"https://example.com/start-frame.jpg"

prompt
string

Video content description, supports Chinese and English. Supports 15 camera control instructions: [Truck left/right], [Pan left/right], [Push in/Pull out], [Pedestal up/down], [Tilt up/down], [Zoom in/out], [Shake], [Tracking shot], [Static shot]. Use combined commands like [Pan left,Pedestal up] or sequential commands

Required string length: 1 - 2000
Example:

"A bird takes off from the branch [Pedestal up], then flies away [Tracking shot]"

prompt_optimizer
boolean
default:true

Enable automatic prompt optimization to improve video quality

Example:

true

fast_pretreatment
boolean
default:false

Fast pretreatment mode (only effective when prompt_optimizer=true). Speeds up processing with slight quality trade-off

Example:

false

duration
enum<integer>
default:6

Video duration in seconds. Note: 10 seconds only supports 768P resolution

Available options:
6,
10
Example:

6

resolution
enum<string>
default:768P

Video resolution. Note: 10 seconds duration only supports 768P, 1080P only supports 6 seconds

Available options:
768P,
1080P
Example:

"768P"

Response

Task submitted successfully

code
integer
required

Response code, 0 indicates success

Example:

0

message
string
required

Response message

Example:

"success"

data
object
required